c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
gobj_handle.h File Reference
`#include <exception>`
`#include <functional>`
`#include <cstddef>`
`#include <glib-object.h>`
`#include <c++-gtk-utils/cgu_config.h>`

Go to the source code of this file.

## Classes
class | Cgu::GobjHandle< T >
| This is a handle for managing the reference count of GObjects. More...
struct | Cgu::GobjWeakHandleError
class | Cgu::GobjWeakHandle< T >
| This is a handle for managing weak references to GObjects. More...

## Namespaces
| Cgu

## Functions
template<class T >
bool | Cgu::operator== (const GobjHandle< T > &h1, const GobjHandle< T > &h2) noexcept
template<class T >
bool | Cgu::operator!= (const GobjHandle< T > &h1, const GobjHandle< T > &h2) noexcept
template<class T >
bool | Cgu::operator< (const GobjHandle< T > &h1, const GobjHandle< T > &h2)